# AttributeHandleSet Class Reference

`#include <GAV.hh>`

List of all members.

## Public Member Functions
| AttributeHandleSet (ULong size)
virtual | ~AttributeHandleSet ()
virtual ULong | size () const
virtual AttributeHandle | getHandle (ULong i) const throw (ArrayIndexOutOfBounds)
virtual void | add (AttributeHandle h) throw (ArrayIndexOutOfBounds, AttributeNotDefined)
virtual void | remove (AttributeHandle h) throw (AttributeNotDefined)
virtual void | empty ()
virtual bool | isEmpty () const
virtual bool | isMember (AttributeHandle h) const
## Protected Attributes
std::list< AttributeHandle > | _set

## Detailed Description

Definition at line 30 of file GAV.hh.

## Constructor & Destructor Documentation

AttributeHandleSet | ( | ULong | size | ) |

Definition at line 237 of file GAV.cc.

~AttributeHandleSet | ( |  | ) | `[virtual]`

Definition at line 241 of file GAV.cc.

References AttributeHandleSet::empty().

Here is the call graph for this function:

## Member Function Documentation

ULong size | ( |  | ) | const`[inline, virtual]`

Definition at line 248 of file GAV.cc.

References AttributeHandleSet::_set.

Referenced by RTIA::chooseFederateProcessing(), and RTIG::processReleaseResponse().

AttributeHandle getHandle | ( | ULong | i | ) | const throw (ArrayIndexOutOfBounds)`[virtual]`

Definition at line 255 of file GAV.cc.

References AttributeHandleSet::_set.

Referenced by RTIA::chooseFederateProcessing(), and RTIG::processReleaseResponse().

void add | ( | AttributeHandle | h | ) | throw (ArrayIndexOutOfBounds, AttributeNotDefined)`[virtual]`

Definition at line 270 of file GAV.cc.

References AttributeHandleSet::_set.

Referenced by OwnershipManagement::attributeOwnershipRealeaseResponse(), and ObjectClass::attributeOwnershipReleaseResponse().

void remove | ( | AttributeHandle | h | ) | throw (AttributeNotDefined)`[virtual]`

Definition at line 278 of file GAV.cc.

References AttributeHandleSet::_set, and AttributeHandleSet::isMember().

Here is the call graph for this function:

void empty | ( |  | ) | `[virtual]`

Definition at line 289 of file GAV.cc.

References AttributeHandleSet::_set.

Referenced by AttributeHandleSet::~AttributeHandleSet().

bool isEmpty | ( |  | ) | const`[virtual]`

Definition at line 296 of file GAV.cc.

References AttributeHandleSet::_set.

bool isMember | ( | AttributeHandle | h | ) | const`[virtual]`

Definition at line 303 of file GAV.cc.

References AttributeHandleSet::_set.

Referenced by AttributeHandleSet::remove().

## Member Data Documentation

std::list<AttributeHandle> _set`[protected]`

Definition at line 53 of file GAV.hh.

Referenced by AttributeHandleSet::add(), AttributeHandleSet::empty(), AttributeHandleSet::getHandle(), AttributeHandleSet::isEmpty(), AttributeHandleSet::isMember(), AttributeHandleSet::remove(), and AttributeHandleSet::size().

The documentation for this class was generated from the following files:

- GAV.hh
- GAV.cc